## strawberry-graphql-django 0.62.0

=== Makefile ===
.PHONY : install test lint

POETRY := $(shell command -v poetry 2> /dev/null)

all: install test

install:
	${POETRY} install

test:
	${POETRY} run pytest

=== debian/changelog ===
strawberry-graphql-django (0.62.0-1) unstable; urgency=medium

  * [5378b58] New upstream version 0.62.0
  * [eec9842] First and Basic Debinaization
    (Closes: #1109172)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 15 Jul 2025 07:52:02 +0200

=== debian/control ===
Source: strawberry-graphql-django
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-django-channels <!nocheck>,
 python3-django-choices-field <!nocheck>,
 python3-django-debug-toolbar <!nocheck>,
 python3-django-guardian <!nocheck>,
 python3-django-model-utils <!nocheck>,
 python3-django-polymorphic <!nocheck>,
 python3-django-tree-queries <!nocheck>,
 python3-factory-boy <!nocheck>,
 python3-poetry-core,
 python3-psycopg2 <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-django <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-snapshot <!nocheck>,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/strawberry-graphql/strawberry-django
Vcs-Browser: https://salsa.debian.org/python-team/packages/strawberry-graphql-django
Vcs-Git: https://salsa.debian.org/python-team/packages/strawberry-graphql-django.git
Testsuite: autopkgtest-pkg-python

Package: strawberry-graphql-django
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-django-choices-field,
 python3-django-debug-toolbar,
Description: Strawberry GraphQL Django extension
 Strawberry is a developer friendly Python based GraphQL library for creating
 GraphQL APIs, designed for modern development inspired by dataclasses. One of
 its goals is to provide a great developer experience for both GraphQL
 beginners and advanced users.
 .
 Strawberry is also a code-first GraphQL server library that uses Python type
 annotations to define GraphQL types. This allows you to focus more on how
 you can integrate one or more DBs into your workflow and less on the
 idiosyncrasies of GraphQL itself.
 .
 This package provides the Django integration of strawberry-graphql.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=strawberry_django

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	find -type d -name .mypy_cache | xargs rm -rf {} \;

override_dh_installexamples:
	dh_installexamples
	find debian/strawberry-graphql-django -type f -name ".gitignore" -delete

=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 python3-all,
 python3-django-channels,
 python3-django-choices-field,
 python3-django-debug-toolbar,
 python3-django-guardian,
 python3-django-model-utils,
 python3-django-polymorphic,
 python3-django-tree-queries,
 python3-factory-boy,
 python3-psycopg2,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-django,
 python3-pytest-mock,
 python3-pytest-snapshot,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/strawberry-graphql/strawberry-django.git \
      refs/tags/@ANY_VERSION@

## strawberry-graphql-django 0.65.1

=== Makefile ===
.PHONY : install test test-dist lint

POETRY := $(shell command -v poetry 2> /dev/null)

all: install test

install:
	${POETRY} install

test:
	${POETRY} run pytest

test-dist:
	${POETRY} run pytest -n auto

=== debian/changelog ===
strawberry-graphql-django (0.65.1-1) unstable; urgency=medium

  * [0d82c47] d/watch: Convert to version 5
  * [9580b9c] d/control: Remove Rules-Requires-Root
  * [05e9c62] New upstream version 0.65.1
  * [1d1d33d] d/control: Add strawberry-graphl to B-D
    (Closes: #1117916)
  * [a1e8332] d/rules: Ignore test_enums.py test file
  * [5d0b863] autopkgtest: Ignore that file here too
  * [2b4f98c] autopkgtest: Add python3-pkg-resources to deps

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Nov 2025 10:51:00 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-pytest-mock <!nocheck>,
  python3-pytest-snapshot <!nocheck>,
  python3-setuptools,
-Rules-Requires-Root: no
+ strawberry-graphql <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/strawberry-graphql/strawberry-django
 Vcs-Browser: https://salsa.debian.org/python-team/packages/strawberry-graphql-django

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=strawberry_django
+export PYBUILD_TEST_ARGS=\
+ --ignore=tests/test_enums.py
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-django-polymorphic,
  python3-django-tree-queries,
  python3-factory-boy,
+ python3-pkg-resources,
  python3-psycopg2,
  python3-pytest,
  python3-pytest-asyncio,

=== debian/watch ===
Version: 5

Source: https://github.com/strawberry-graphql/strawberry-django.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none

## strawberry-graphql-django 0.67.0

=== debian/changelog ===
strawberry-graphql-django (0.67.0-1) unstable; urgency=medium

  * [68037aa] New upstream version 0.67.0
  * [5f55051] Rebuild patch queue from patch-queue branch
    Renamed patch:
    tests-Add-STATIC_URL-to-django-test-settings.patch
    -> tests-Adjust-STATIC_URL-for-django-test-settings.patch
  * [99a04f5] d/control: Set version constrains on some B-D
  * [73e9a01] d/control: Set also versioned deps in the bin package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 17 Nov 2025 17:04:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-django-channels <!nocheck>,
  python3-django-choices-field <!nocheck>,
- python3-django-debug-toolbar <!nocheck>,
+ python3-django-debug-toolbar (>= 6.0.0) <!nocheck>,
  python3-django-guardian <!nocheck>,
  python3-django-model-utils <!nocheck>,
  python3-django-polymorphic <!nocheck>,
@@ -26,7 +26,7 @@
  python3-pytest-mock <!nocheck>,
  python3-pytest-snapshot <!nocheck>,
  python3-setuptools,
- strawberry-graphql <!nocheck>,
+ strawberry-graphql (>= 0.283.2) <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/strawberry-graphql/strawberry-django
 Vcs-Browser: https://salsa.debian.org/python-team/packages/strawberry-graphql-django
@@ -36,6 +36,8 @@
 Package: strawberry-graphql-django
 Architecture: all
 Depends:
+ python3-django-debug-toolbar (>= 6.0.0),
+ strawberry-graphql (>= 0.283.2),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## strawberry-graphql-django 0.78.0

=== Makefile ===
.PHONY : install test test-dist lint

all: install test

install:
	uv sync

test:
	uv run pytest

test-dist:
	uv run pytest -n auto

lint:
	uv run ruff check .
	uv run ruff format --check .

=== debian/changelog ===
strawberry-graphql-django (0.78.0-1) unstable; urgency=medium

  * [538ed11] New upstream version 0.78.0
  * [bc5d067] Rebuild patch queue from patch-queue branch
    Updated patches:
    examples-Use-python3-within-shebang-line.patch
    tests-Adjust-STATIC_URL-for-django-test-settings.patch
  * [e8236b4] d/control: Increase B-D on strawberry-graphql
  * [8eef006] d/control: Also increase bin strawberry-graphql version
  * [cb29e57] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [805b701] d/control: Upstream did moved to hatchling
  * [9e6451b] d/rules: Ignore some more tests
    The tests about testing polymorphic are failing maybe due an not recent
    enough version of django-polymorphic, ignored for now.
    (Closes: #1126252)
  * [2abd872] autopkgtest: Drop python3-pkg-resources in test setup
    (Closes: #1125861)
  * [5a05f3d] autopkgest: Ignore failing test here too
  * [25e60fb] d/control: Remove Suggests on python3-django-debug-toolbar
  * [072a3cb] d/control: Drop field Priority: optional
  * [6e4351b] d/copyright: Update year data
  * [e583066] d/salsa-ci.yml: Add dedicated Salsa CI config

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Mar 2026 09:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -17,7 +16,6 @@
  python3-django-polymorphic <!nocheck>,
  python3-django-tree-queries <!nocheck>,
  python3-factory-boy <!nocheck>,
- python3-poetry-core,
  python3-psycopg2 <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
@@ -25,9 +23,10 @@
  python3-pytest-django <!nocheck>,
  python3-pytest-mock <!nocheck>,
  python3-pytest-snapshot <!nocheck>,
+ python3-hatchling,
  python3-setuptools,
- strawberry-graphql (>= 0.283.2) <!nocheck>,
-Standards-Version: 4.7.2
+ strawberry-graphql (>= 0.303.0) <!nocheck>,
+Standards-Version: 4.7.3
 Homepage: https://github.com/strawberry-graphql/strawberry-django
 Vcs-Browser: https://salsa.debian.org/python-team/packages/strawberry-graphql-django
 Vcs-Git: https://salsa.debian.org/python-team/packages/strawberry-graphql-django.git
@@ -37,12 +36,11 @@
 Architecture: all
 Depends:
  python3-django-debug-toolbar (>= 6.0.0),
- strawberry-graphql (>= 0.283.2),
+ strawberry-graphql (>= 0.303.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
  python3-django-choices-field,
- python3-django-debug-toolbar,
 Description: Strawberry GraphQL Django extension
  Strawberry is a developer friendly Python based GraphQL library for creating
  GraphQL APIs, designed for modern development inspired by dataclasses. One of

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=strawberry_django
-export PYBUILD_TEST_ARGS=\
+export PYBUILD_TEST_ARGS=-k \
+ 'not test_polymorphic_interface_query' \
+ --ignore=tests/polymorphism/test_optimizer.py \
  --ignore=tests/test_enums.py
 
 %:
